org.apache.tamaya.resource

## Interface ResourceResolver

- All Known Implementing Classes:
    BaseResourceResolver, DefaultResourceResolver

      public interface ResourceResolver

  Interface to be implemented by modules. It supports loading of files or classpath resources either directly or by defining a Ant-styled resource pattern:
  - '*' is a placeholder for any character (0..n)
  - '**' is a placeholder for any number of subdirectories going down a directory structure recursively.
  - '?' is a placeholder for exact one character
  Given that the following expressions are valid expressions:

           classpath:javax/annotations/*
           javax?/annotations/**/*.class
           org/apache/tamaya/**/tamayaconfig.properties
           file:C:/temp/*.txt
           file:C:\**\*.ini
           C:\Programs\**/*.ini
           /user/home/A*b101_?.pid
           /var/logs/**/*.log

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Collection<URL>` | `getResources(ClassLoader classLoader, Collection<String> expressions)` Resolves resource expressions to a list of `URL`s, considerubg the given classloader for classloader dependent format.
    `Collection<URL>` | `getResources(ClassLoader classLoader, String... expressions)` Resolves resource expressions to a list of `URL`s, considerubg the given classloader for classloader dependent format.
    `Collection<URL>` | `getResources(Collection<String> expressions)` Resolves resource expressions to a list of `URL`s.
    `Collection<URL>` | `getResources(String... expressions)` Resolves resource expressions to a list of `URL`s.

- - ### Method Detail

    - #### getResources

          Collection<URL> getResources(Collection<String> expressions)

      Resolves resource expressions to a list of `URL`s. Hereby the ordering of format matches the input of the resolved expressions. Nevertheless be aware that there is no determined ordering of format located within a classloader.
      Parameters:
        `expressions` - the expressions to be resolved, not empty.
      Returns:
        the corresponding collection of current `URL`s found, never null. .

    - #### getResources

          Collection<URL> getResources(String... expressions)

      Resolves resource expressions to a list of `URL`s. Hereby the ordering of format matches the input of the resolved expressions. Nevertheless be aware that there is no determined ordering of format located within a classloader.
      Parameters:
        `expressions` - the expressions to be resolved, not empty.
      Returns:
        the corresponding collection of current `URL`s found, never null. .

    - #### getResources

          Collection<URL> getResources(ClassLoader classLoader,
                                       String... expressions)

      Resolves resource expressions to a list of `URL`s, considerubg the given classloader for classloader dependent format. Hereby the ordering of format matches the input of the resolved expressions. Nevertheless be aware that there is no determined ordering of format located within a classloader.
      Parameters:
        `expressions` - the expressions to be resolved, not empty.
      Returns:
        the corresponding collection of current `URL`s found, never null. .

    - #### getResources

          Collection<URL> getResources(ClassLoader classLoader,
                                       Collection<String> expressions)

      Resolves resource expressions to a list of `URL`s, considerubg the given classloader for classloader dependent format. Hereby the ordering of format matches the input of the resolved expressions. Nevertheless be aware that there is no determined ordering of format located within a classloader.
      Parameters:
        `expressions` - the expressions to be resolved, not empty.
      Returns:
        the corresponding collection of current `URL`s found, never null. .

Copyright © 2014–2015 Apache Software Foundation. All rights reserved.